Bug 113383 - [Calc] Transparency in charts garbles PRINT PREVIEW.
Summary: [Calc] Transparency in charts garbles PRINT PREVIEW.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2017-10-23 15:48 UTC by kurt.pfeifle
Modified: 2020-11-09 04:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Hybrid PDF embedding original ODS document (which exhibits the described bug) (292.24 KB, application/pdf)
2017-10-23 15:48 UTC, kurt.pfeifle
Details
Side by side comparison of: (1) original document view (left); (2) PDF or print output (center); (3) print preview (right) (1.05 MB, image/png)
2017-10-23 16:05 UTC, kurt.pfeifle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kurt.pfeifle 2017-10-23 15:48:52 UTC
Created attachment 137240 [details]
Hybrid PDF embedding original ODS document (which exhibits the described bug)

This bug has already been reported as #99859, but I've been asked to open a new one.

Attached is an LO-generated "Hybrid" PDF which has the original ODS document embedded.


-----------
       If you (like some bug handlers in the other bug previously) don't know
       how to extract the ODS from the Hybrid PDF, here's how:

           1. Open Hybrid PDF with LibreOffice.

           2. Save it again -- but please use "Save As..."
-----------


Now you should have both files:

  - The original ODS.

  - A PDF which has the original ODS embedded. This can be opened by any
    standard PDF viewer. But it also can be opened by LibreOffice by silently
    extracting the ODS (while still pretending to the user to edit the PDF).

The ODS exhibits several problems with LibreOffice's handling of transparencies, when comparing three different views:

1. View of exported PDF (which is the same as a printout on paper would look).
2. Normal document view.
3. Print preview.

      (Ignore the font color mismatch, which is in the big headline of the 1st
       sheet (font color is defined as yellow, but document view displays it as
       black) -- this part of the problem seems now to be tracked via bug #99859.)

However, look the second and third charts in all three views mentioned above. You'll see several artefacts in the print preview, while the PDF export looks perfectly good.

If you investigate the document in detail, you'll find that (some) embedded charts use transparency value of 35% for the trend lines. Setting that transparency to 0% removes the weird artefacts from the preview.

Scope of this bug:

 #  Users looking at the print preview only may never try to actually export to PDF
 #  or send the job to the printer, but instead fiddle hours and hours with their
 #  document in order to "get it right". It can lead to a lot of time wastage -- 
 #  even for people who know that the end result is good, they'll have to jump
 #  through hoops of repeatedly exporting to PDF first for a good fidelity print
 #  preview, before they send the file to the printer.

I noticed this first with LO v5.1.2.2 on macOS.

It is still here with my current version:

    Version: 5.4.2.2
   Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 8;
         OS: Mac OS X 10.12.6;
  UI render: default; 
     Locale: de-DE (en_US.UTF-8);
       Calc: group
Comment 1 kurt.pfeifle 2017-10-23 16:05:37 UTC
Created attachment 137241 [details]
Side by side comparison of: (1) original document view (left); (2) PDF or print output (center); (3) print preview (right)

Side by side comparison of:

 (1) left:   original document (editing) view;
 (2) center: PDF or print output -- this is intended "look" of document;
 (3) right:  print preview.

Ignore the font color differences in the red box of the top chart -- this is already tracked in bug #99859.

What's relevant for this bug is the third chart, where the transparency setting (35%) for the trend line causes the chart in the preview to be intersected with the table.
Comment 2 Buovjaga 2017-11-07 17:12:49 UTC
(In reply to kurt.pfeifle from comment #1)
> Created attachment 137241 [details]
> Side by side comparison of: (1) original document view (left); (2) PDF or
> print output (center); (3) print preview (right)
> 
> Side by side comparison of:
> 
>  (1) left:   original document (editing) view;
>  (2) center: PDF or print output -- this is intended "look" of document;
>  (3) right:  print preview.
> 
> Ignore the font color differences in the red box of the top chart -- this is
> already tracked in bug #99859.
> 
> What's relevant for this bug is the third chart, where the transparency
> setting (35%) for the trend line causes the chart in the preview to be
> intersected with the table.

Confirmed, but only on macOS (10.12.6). LibreOffice 5.4.3.2

No problem on Linux or Windows.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.2.2.0+
Build ID: 5.4.2-2
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group

Win 10
Version: 6.0.0.0.alpha1+ (x64)
Build ID: 4058d85963e371be657f531d8f30e31381a9ccab
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-05_22:51:05
Locale: fi-FI (fi_FI); Calc: group
Comment 3 kurt.pfeifle 2017-11-08 01:44:27 UTC Comment hidden (no-value)
Comment 4 QA Administrators 2018-11-09 03:59:16 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-11-09 04:17:25 UTC
Dear kurt.pfeifle,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug